SystemStreamsRedirector (Grails 6.0.0)

Package: grails.io.support

## [Groovy] Class SystemStreamsRedirector

- grails.io.support.SystemStreamsRedirector

-     @groovy.transform.ToString
      @groovy.transform.CompileStatic
      class SystemStreamsRedirector
      extends java.lang.Object

- - ### Field Summary

    Fields
    Modifiers | Name | Description
    --- | --- | ---
    `private java.io.PrintStream` | `err` |
    `private java.io.InputStream` | `input` |
    `private static SystemStreamsRedirector` | `original` |
    `private java.io.PrintStream` | `out` |

  - ### Properties Summary

    Properties
    Type | Name and description
    --- | ---
    `java.io.PrintStream` | `err`
    `java.io.InputStream` | `input`
    `java.io.PrintStream` | `out`

  - ### Constructor Summary

    Constructors
    Constructor and description
    `private SystemStreamsRedirector (java.io.InputStream input, java.io.PrintStream out, java.io.PrintStream err)`

  - ### Methods Summary

    Methods
    Type Params | Return Type | Name and description
    --- | --- | ---
    `` | `static SystemStreamsRedirector` | `create(java.io.InputStream input, java.io.PrintStream out, java.io.PrintStream err)`
    `` | `static SystemStreamsRedirector` | `current()`
    `` | `static SystemStreamsRedirector` | `original()`
    `` | `SystemStreamsRedirector` | `redirect()`
    `<T>` | `static T` | `withOriginalIO(groovy.lang.Closure<T> closure)`
    `<T>` | `T` | `withRedirectedIO(groovy.lang.Closure<T> closure)`

  - ### Inherited Methods Summary

    Inherited Methods
    Methods inherited from class | Name
    --- | ---
    `class java.lang.Object` | `java.lang.Object#wait(long), java.lang.Object#wait(long, int), java.lang.Object#wait(), java.lang.Object#equals(java.lang.Object), java.lang.Object#toString(), java.lang.Object#hashCode(), java.lang.Object#getClass(), java.lang.Object#notify(), java.lang.Object#notifyAll()`

- - ### Field Detail

    - #### private final java.io.PrintStream err

    - #### private final java.io.InputStream input

    - #### private static final SystemStreamsRedirector original

    - #### private final java.io.PrintStream out

  - ### Property Detail

    - #### final java.io.PrintStream err

    - #### final java.io.InputStream input

    - #### final java.io.PrintStream out

  - ### Constructor Detail

    - #### private SystemStreamsRedirector(java.io.InputStream input, java.io.PrintStream out, java.io.PrintStream err)

  - ### Method Detail

    - #### static SystemStreamsRedirector create(java.io.InputStream input, java.io.PrintStream out, java.io.PrintStream err)

    - #### static SystemStreamsRedirector current()

    - #### static SystemStreamsRedirector original()

    - #### SystemStreamsRedirector redirect()

    - #### <T> static T withOriginalIO(groovy.lang.Closure<T> closure)

    - #### <T> T withRedirectedIO(groovy.lang.Closure<T> closure)